Bug 1529419 - RHEL-7.5-Alpha Message log show " fatal IO error 11 (Resource temporarily unavailable) on X server ":9"" [NEEDINFO]
Summary: RHEL-7.5-Alpha Message log show " fatal IO error 11 (Resource temporarily una...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libX11
Version: 7.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 7.6
Assignee: Adam Jackson
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1586275 1602778
TreeView+ depends on / blocked
 
Reported: 2017-12-28 02:09 UTC by Majian
Modified: 2019-08-06 12:42 UTC (History)
16 users (show)

Fixed In Version: libX11-1.6.7-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 12:41:58 UTC
Target Upstream Version:
tyu1: needinfo-
tyu1: needinfo+
tyu1: needinfo-
tyu1: needinfo+
jkachuck: needinfo? (tyu1)


Attachments (Terms of Use)
log with XIO error messages (137.67 KB, text/plain)
2017-12-28 02:09 UTC, Majian
no flags Details
Sosreport1 (10.41 MB, application/zip)
2018-01-03 06:04 UTC, Majian
no flags Details
RHEL7.7 Alpha log (33.43 KB, application/zip)
2019-05-16 07:10 UTC, shangsong1
no flags Details
RHEL7.7 alpha messages log (813.68 KB, text/plain)
2019-05-31 02:58 UTC, shangsong1
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2079 None None None 2019-08-06 12:42:30 UTC

Description Majian 2017-12-28 02:09:36 UTC
Created attachment 1373042 [details]
log with XIO error messages

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Install RHEL-7.5-Alpha
2.Boot into OS
3.Check log file (/var/log/message) information..

Actual results:

As follows log: 
Dec 20 17:22:56 localhost initial-setup: Stopping the window manager (/usr/bin/metacity)
Dec 20 17:22:56 localhost org.a11y.atspi.Registry: XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":9"
Dec 20 17:22:56 localhost org.a11y.atspi.Registry: after 37 requests (37 known processed) with 0 events remaining.
Dec 20 17:22:57 localhost initial-setup: Initial Setup finished successfully, disabling

Expected results:
As follows log: 
Dec 18 19:27:11 localhost initial-setup: Stopping the window manager (/usr/bin/metacity)
Dec 18 19:27:12 localhost initial-setup: Initial Setup finished successfully, disabling

Additional info:

The above error occurs only at OS initial-setup process, but will not occur each time. And it will not happen after installation.

Comment 2 Joseph Kachuck 2018-01-02 16:06:48 UTC
Hello Lenovo,
Please attach a sosreport from a system directly after seeing this issue.

Please confirm if this worked correctly in RHEL 7.4?

Thank You
Joe Kachuck

Comment 3 Majian 2018-01-03 06:04:13 UTC
Created attachment 1376170 [details]
Sosreport1

Comment 4 Majian 2018-01-03 16:59:54 UTC
This error log can't found in RHEL 7.4.

Comment 5 Yutzuting 2018-02-05 07:53:42 UTC
(In reply to Majian from comment #4)
> This error log can't found in RHEL 7.4.
Is any progress on this bug ?  do we validate it in Snapshot1 ?

Comment 6 Majian 2018-02-12 07:02:36 UTC
It's reproducible in Snapshot1 too.

Comment 7 Yutzuting 2018-02-23 10:03:02 UTC
@Joe , 
is any advanced information you need from Lenovo of this Bug? 

Doris

Comment 8 Joseph Kachuck 2018-02-23 14:49:49 UTC
Hello Lenovo,
Were we are the RHEL 7 release this now requested for RHEL 7.6.

Thank You
Joe Kachuck

Comment 11 Majian 2018-02-26 07:02:50 UTC
(In reply to Joseph Kachuck from comment #8)
> Hello Lenovo,
> Were we are the RHEL 7 release this now requested for RHEL 7.6.
> 
> Thank You
> Joe Kachuck

Hi Joe,
  
   Sorry for not understanding your meaning. 
   What do we can to do?

Comment 12 Joseph Kachuck 2018-02-27 21:47:49 UTC
Hello,
Were we are in the RHEL 7.5 release. This is to late for RHEL 7.5. This is now requested for RHEL 7.6.

Thank You
Joe Kachuck

Comment 13 Majian 2018-03-01 10:04:28 UTC
Hi Joe,
   I see.Thanks! 
   Do you find the root cause?
   Does the defect bring impacts for normal function in system ? 
   How do we explain to user when they find this error log? Can we tell user that this bug has little effect or can you provide a workaround to them?

Comment 14 Joseph Kachuck 2018-03-02 15:34:02 UTC
Hello Majian,
From the bug summery I most guess client would not see this issue. It is also stated in the summery the client will not see this issue after install.
Does this issue occur on more then one type of system?
Does this issue occur every time on this these systems?


Thank You
Joe Kachuck

Comment 15 Majian 2018-03-05 15:03:33 UTC
Hi,
But if customer check log after installed , then he will find the error.
We only test three type of machines(TS150(Haswell),RS160(Purley),SR590(purley)), all of it find the error, and it is a high probability.
We don’t understand the meaning exactly, and what will it affect, so we need your help.

Comment 16 Samantha N. Bueno 2018-04-25 11:31:34 UTC
Is the customer able to actually complete the initial-setup process, or is something crashing here?

I'm pretty sure this isn't an issue with initial-setup, but whether it's Xorg or kernel, I don't know. Let's start with xorg.

Comment 19 Majian 2018-04-27 07:18:25 UTC
(In reply to Samantha N. Bueno from comment #16)
> Is the customer able to actually complete the initial-setup process, or is
> something crashing here?
> 
> I'm pretty sure this isn't an issue with initial-setup, but whether it's
> Xorg or kernel, I don't know. Let's start with xorg.
Hi Samantha,
It seems that there is only one error message, and does not affect the normal function. The system can run normally, and nothing crash or any exception.

Comment 20 Nikola Kresic 2018-04-30 14:31:01 UTC
How to reproduce :


1. start glxgears
2. close glxgears by clicking on the "x", closing the window
3. check the error message in the command line


[root@nkresic log]# glxgears
Running synchronized to the vertical refresh.  The framerate should be
approximately the same as the monitor refresh rate.
XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":0"
      after 54 requests (54 known processed) with 0 events remaining.



Also please check the following thread for more info :

https://forums.ni.com/t5/LabWindows-CVI/XIO-fatal-IO-error-11/td-p/2989989/page/4

It seems to be a bug in libxcb library.

Comment 21 Yutzuting 2018-06-19 16:44:51 UTC
(In reply to Nikola Kresic from comment #20)
> How to reproduce :
> 
> 
> 1. start glxgears
> 2. close glxgears by clicking on the "x", closing the window
> 3. check the error message in the command line
> 
> 
> [root@nkresic log]# glxgears
> Running synchronized to the vertical refresh.  The framerate should be
> approximately the same as the monitor refresh rate.
> XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":0"
>       after 54 requests (54 known processed) with 0 events remaining.
> 
> 
> 
> Also please check the following thread for more info :
> 
> https://forums.ni.com/t5/LabWindows-CVI/XIO-fatal-IO-error-11/td-p/2989989/
> page/4
> 
> It seems to be a bug in libxcb library.

Nicola 
Will the fix apply to RHEL7.6 ?

Comment 22 Yaniv Ferszt 2018-06-20 06:11:17 UTC
@Yutzuting

Nikola is not monitoring this BZ anymore.

Comment 23 Adam Jackson 2018-06-22 20:48:58 UTC
(In reply to Nikola Kresic from comment #20)
> How to reproduce :
> 
> 
> 1. start glxgears
> 2. close glxgears by clicking on the "x", closing the window
> 3. check the error message in the command line
> 
> 
> [root@nkresic log]# glxgears
> Running synchronized to the vertical refresh.  The framerate should be
> approximately the same as the monitor refresh rate.
> XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":0"
>       after 54 requests (54 known processed) with 0 events remaining.

This is harmless. glxgears is not a particularly smart X application, and X is not a very smart protocol. When you click on the close button for this kind of not-very-smart app, the window manager responds by sending an XKillClient request to the server. The server obliges and closes glxgears' socket; glxgears learns of this asynchronously, and thus the error message.

We could change the message to be less alarming, but there's really nothing going _wrong_ here.

Comment 24 Adam Jackson 2018-06-22 20:51:03 UTC
(In reply to Adam Jackson from comment #23)

> > XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":0"
> >       after 54 requests (54 known processed) with 0 events remaining.
> 
> This is harmless. glxgears is not a particularly smart X application, and X
> is not a very smart protocol.

I realize now that the original report is not about glxgears, but the analysis is the same: the installer is done, X clients are being disconnected, messages about their disconnection are to be expected.

This error message lives in libX11, moving.

Comment 25 Yutzuting 2018-07-17 06:29:12 UTC
(In reply to Adam Jackson from comment #24)
> (In reply to Adam Jackson from comment #23)
> 
> > > XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":0"
> > >       after 54 requests (54 known processed) with 0 events remaining.
> > 
> > This is harmless. glxgears is not a particularly smart X application, and X
> > is not a very smart protocol.
> 
> I realize now that the original report is not about glxgears, but the
> analysis is the same: the installer is done, X clients are being
> disconnected, messages about their disconnection are to be expected.
> 
> This error message lives in libX11, moving.

Will fix contain into RHEL7.6 alpha ?

Comment 26 Joseph Kachuck 2018-07-18 13:27:38 UTC
Hello,
This will not make RHEL 7.6. This is now requested for RHEL 7.7.

Thank You
Joe Kachuck

Comment 34 Tomas Pelka 2019-05-14 08:13:30 UTC
Dear Lenovo can you please check with 7.7 Alpha whic should contain fixed libX11 pkg.

Thanks
-Tom

Comment 36 shangsong1 2019-05-16 07:10:36 UTC
Created attachment 1569384 [details]
RHEL7.7 Alpha log

  RHEL 7.7 Alpha messages log still contain the error information about "X server".
log:
May 13 10:21:47 localhost org.a11y.atspi.Registry: XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":9"

Comment 38 Joseph Kachuck 2019-05-29 22:44:09 UTC
Hello Lenovo,
Please download and test the packages from:
http://people.redhat.com/jkachuck/.1529419/

Please note this may be removed in 3 days.

Thank You
Joe Kachuck

Comment 39 shangsong1 2019-05-31 02:58:15 UTC
Created attachment 1575477 [details]
RHEL7.7 alpha messages log

1.Fresh install RHEL7.7alpha via mimi mode;
2.Install GUI via the command " yum groupinstall "Server with GUI" ",boot into GUI,it is not reproduce;
3.Update libX11(libX11-1.6.7-2.el7.x86_64) ,reboot and check the messages log,it still not reproduce.

Comment 42 errata-xmlrpc 2019-08-06 12:41:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2079


Note You need to log in before you can comment on or make changes to this bug.